Subject: Re: commit 9178ba294b6839eeff1a91bed95515d783f3ee6c an A-Eon Tabor Board

From: Julian Margetson <[email-masked]>
Date: Wed, 3 Feb 2016 18:54:01 -0400

On 2/3/2016 6:20 PM, Alexander Graf wrote:
>
>
> On 02/03/2016 11:15 PM, Julian Margetson wrote:
>> On 2/3/2016 4:43 PM, Alexander Graf wrote:
>>>
>>>
>>> On 02/03/2016 10:33 AM, Julian Margetson wrote:
>>>> Resending as it was attached to and old thread relating to a 
>>>> different motherboard.
>>>>
>>>> On 2/2/2016 9:54 AM, Julian Margetson wrote:
>>>>>
>>>>> Commit 9178ba294b6839eeff1a91bed95515d783f3ee6c prevents building 
>>>>> of kernel 4.1 branch on A-Eon Tabor Board.
>>>>>
>>>>> CC arch/powerpc/math-emu/fsqrt.o
>>>>> arch/powerpc/platforms/85xx/tabor.c:194:2: error: unknown field 
>>>>> ‘power_off’ specified in initializer
>>>
>>> I can't seem to find that file in Linux upstream?
>>>
>>>
>>> Alex
>>>
>>>
>>>
>>
>> It may have been discontinued as the patches used were maintained 
>> along with patches for the (Varisys)  A-Eon Cyrus board
>> which is officially supported from kernel 4.4.
>>
>> https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c383ee84e1d575b09d167185d15df24bde25eb15 
>>
>
> I don't quite understand how an internal API change in Linux breaking 
> random external patches is a bug? Either your code is upstream or it 
> can break on every git commit done upstream.
>
>
> Alex
>
>
>

Sorry I am relatively new at this.
If I manage to pinpoint a problem on my powerpc machines I report it . 
Most of them so far have indeed been bugs.
The random external patches were done by person with far greater 
competence than me who are no longer in the picture.
Any  guidance would be greatly  appreciated .

Julian